# ATUntypedAtomic Class Reference

`#include <ATUntypedAtomic.hpp>`

Inheritance diagram for ATUntypedAtomic:

[legend]
List of all members.

## Public Member Functions

virtual const XMLCh * | getPrimitiveTypeName () const =0
virtual const XMLCh * | getTypeURI () const =0
virtual const XMLCh * | getTypeName () const =0
virtual const XMLCh * | asString (const DynamicContext *context) const =0
virtual bool | equals (const AnyAtomicType::Ptr &target, const DynamicContext *context) const =0
virtual AnyAtomicType::AtomicObjectType | getPrimitiveTypeIndex () const =0

## Static Public Attributes

static const XMLCh | fgDT_UNTYPEDATOMIC []

## Member Function Documentation

virtual const XMLCh* ATUntypedAtomic::asString | ( | const DynamicContext * | context | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual bool ATUntypedAtomic::equals | ( | const AnyAtomicType::Ptr & | target,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual AnyAtomicType::AtomicObjectType ATUntypedAtomic::getPrimitiveTypeIndex | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATUntypedAtomic::getPrimitiveTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATUntypedAtomic::getTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATUntypedAtomic::getTypeURI | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

## Member Data Documentation

const XMLCh ATUntypedAtomic::fgDT_UNTYPEDATOMIC[]`[static]`

The documentation for this class was generated from the following file:

- ATUntypedAtomic.hpp